# Hey, Emacs! It's -*- rpm-spec -*-
# $Id: mod_ssl,v 1.2 2002/02/27 11:08:42 ab Exp $

Name: mod_ssl
Version: 2.8.12
Release: alt1

Summary: An SSL module for the Apache Web server
License: BSD
Group: System/Servers

%define mod_ssl_apache_version 1.3.27
Source0: http://www.modssl.org/source/mod_ssl-%version-%mod_ssl_apache_version.tar.bz2
Source1: mod_ssl.conf

# TODO: make our own test certificate
Source2: server.crt
Source3: server.key

Source4: sxnet.html
Source5: ssl.default-vhost.conf
Source6: stamp.gif
Patch0: ssl.patch

%define apache_version %(rpm -q --queryformat '%{VERSION}' apache-devel)
%define apache_release %(rpm -q --queryformat '%{RELEASE}' apache-devel)

Requires: apache >= %apache_version-%apache_release, openssl >= 0.9.6g
Requires: mm >= 1.1.0, perl >= 1:5.6.0
BuildRequires: apache-devel >= %apache_version-%apache_release, openssl-devel >= 0.9.6g
BuildRequires: mm-devel >= 1.1.0

%define apachecontent /var/www/html
%define apachebase %_sysconfdir/httpd
%define apacheroot %_var/www
%define oldapacheroot /home/httpd
%define apachelogs %_var/log

Summary(de): SSL-Modul fuer den Apache-Webserver
Summary(fr): Un module SSL pour le serveur Web Apache
Summary(ru_RU.KOI8-R):   SSL  - Apache.
Summary(uk_UA.KOI8-U):  Ц SSL  - Apache.

%description
The mod_ssl project provides strong cryptography for the Apache 1.3 webserver
via the Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1)
protocols by the help of the Open Source SSL/TLS toolkit OpenSSL, which is
based on SSLeay from Eric A. Young and Tim J. Hudson.

The mod_ssl package was created in April 1998 by Ralf S. Engelschall and was
originally derived from software developed by Ben Laurie for use in the
Apache-SSL HTTP server project. The mod_ssl package is licensed under a
BSD-style licence, which basically means that you are free to get and use it
for commercial and non-commercial purposes.

%description -l de
Das mod_ssl-Projekt stellt kryptographie fr den Apache 1.3-Webserver ber
Secure Sockets Layer (SSL v2/v3) und Transport Layer Security (TLS
v1)-Protokolle zur Verfgung. Dazu wird das Open Source SSL/TLS-Toolkit
OpenSSL, das auf SSLeay basiert, verwendet.

%description -l fr
Le projet mod_ssl fournit de la forte cryptographie pour le serveur web
Apache 1.3 via les protocoles Secure Sockets Layer (SSL v2/v3) et Transport Layer
Security (TLS v1) avec l'aide du kit d'outils Open Source SSL/TLS, OpenSSL,
base sur SSLeay d'Eric A. Young et Tim J. Hudson.

%description -l ru_RU.KOI8-R
 mod_ssl      
- Apache   Secure Sockets Layer (SSL v2/v3)  Transport
Layer Security (TLS v1),  OpenSSL - open-source  SSL/TLS.

%description -l uk_UA.KOI8-U
 mod_ssl    Ʀ   -
Apache   Secure Sockets Layer (SSL v2/v3)  Transport Layer
Security (TLS v1),  OpenSSL - open-source ¦̦ SSL/TLS.

%package sxnet
Summary: Strong Extranet module for mod_ssl and apache
Summary(fr): Module d'Extranet Fort pour Apache et mod_ssl
Summary(ru):  Strong Extranet  mod_ssl  Apache
Group: System/Servers
Requires: mod_ssl, openssl, apache
%description sxnet
The Strong Extranet allows you to use digital certificates to authenticate
users on your web server. Typically, your users enroll in your Strong
Extranet, under your control, through the Thawte Personal Cert System.

%description -l fr sxnet
L'Extranet Fort vous permet d'utiliser des certificats numeriques pour
authentifier les usagers sur votre serveur web. Typiquement, vos usagers
s'enrolent dans votre Extranet Fort, sous votre controle, a travers le
Thawte Personal Cert System.

%description -l ru_RU.KOI8-R sxnet
Strong Extranet      
 -.      
Strong Extranet   ,  Thawte Personal Cert System.

%description -l uk_UA.KOI8-U sxnet
Strong Extranet Ѥ  צ Ʀ  Ʀæ
ަ -. ަ  Ť  ۦ ͦ
Strong Extranet Ц  ,  Thawte Personal Cert System.

%prep
%setup -q -n mod_ssl-%version-%mod_ssl_apache_version

cd pkg.sslmod
%patch -p1
cd ../..
pwd
cd mod_ssl-%version-%mod_ssl_apache_version

%build
PATH="$PATH:`pwd`:/usr/sbin"  SSL_BASE=SYSTEM CFLAGS="$RPM_OPT_FLAGS" \
./configure --with-apxs=%_sbindir/apxs --force

### Ugly hack because of conflict between SunOS includes and gcc includes
if [ `uname` = "SunOS" ]; then
   mkdir /tmp/include
   ln -s %includedir/openssl/ /tmp/include/openssl
   SSL_INCDIR=/tmp/include CFLAGS_SHLIB="-fPIC -DSHARED_MODULE -DSSL_USE_SDBM" make -e
   rm -rf /tmp/include
fi
if [ `uname` = "Linux" ]; then
   CFLAGS_SHLIB="-fPIC -DSHARED_MODULE -DSSL_USE_SDBM" make -e
fi
cd pkg.contrib
tar xvf sxnet.tar
cd sxnet

### Ugly hack because of conflict between SunOS includes and gcc includes
if [ `uname` = "SunOS" ]; then
mv mod_sxnet.c mod_sxnet.c.orig
cat mod_sxnet.c.orig| grep -v crypt.h >mod_sxnet.c
fi
%_sbindir/apxs -I%_includedir/openssl/ -L%_libdir -l ssl -l crypto -c mod_sxnet.c

%install
mkdir -p $RPM_BUILD_ROOT%_libdir/apache
install -m 755 pkg.sslmod/libssl.so $RPM_BUILD_ROOT%_libdir/apache
install -m 755 pkg.contrib/sxnet/mod_sxnet.so $RPM_BUILD_ROOT%_libdir/apache
mkdir -p $RPM_BUILD_ROOT%_libdir/ssl/mod_ssl
install -m 755 pkg.contrib/*.sh $RPM_BUILD_ROOT%_libdir/ssl/mod_ssl
mkdir -p $RPM_BUILD_ROOT%apachebase/conf/ssl
install -m 644 $RPM_SOURCE_DIR/server.crt $RPM_BUILD_ROOT%apachebase/conf/ssl
install -m 644 $RPM_SOURCE_DIR/server.key $RPM_BUILD_ROOT%apachebase/conf/ssl
install -m 644 $RPM_SOURCE_DIR/ssl.default-vhost.conf $RPM_BUILD_ROOT%apachebase/conf/ssl
install -m 644 $RPM_SOURCE_DIR/mod_ssl.conf $RPM_BUILD_ROOT%apachebase/conf/ssl

cp %SOURCE4  $RPM_BUILD_DIR/mod_ssl-%version-%mod_ssl_apache_version/index.html
cp %SOURCE6  $RPM_BUILD_DIR/mod_ssl-%version-%mod_ssl_apache_version

%post
echo "Include conf/ssl/mod_ssl.conf" >> %apachebase/conf/httpd.conf
echo "Include conf/ssl/ssl.default-vhost.conf" >> %apachebase/conf/httpd.conf
perl -pi -e "s|%oldapacheroot|%apacheroot|g;" %apachebase/conf/ssl/ssl.default-vhost.conf
%_sbindir/apachectl update
ln -s %_docdir/mod_ssl-%version %apacheroot/html/addon-modules/mod_ssl

%post sxnet
ln -s %_docdir/mod_ssl-sxnet-%version %apacheroot/html/addon-modules/mod_ssl-sxnet

%postun
if [ $1 != 0 ]; then
    %_sbindir/apxs -e -A -n ssl libssl.so
    perl -pi -e "s|Include conf/ssl/mod_ssl.conf\n||g;" \
	    %apachebase/conf/httpd.conf
    perl -pi -e "s|Include conf/ssl/ssl.default-vhost.conf\n||g;" \
	    %apachebase/conf/httpd.conf
    %_sbindir/apachectl update
    rm %apacheroot/html/addon-modules/mod_ssl
fi

%postun sxnet
if [ $1 != 0 ]; then
    rm %apacheroot/html/addon-modules/mod_ssl-sxnet
fi

%files
%dir %apachebase/conf/ssl
%config(noreplace) %apachebase/conf/ssl/server.crt
%config(noreplace) %apachebase/conf/ssl/server.key
%config(noreplace) %apachebase/conf/ssl/mod_ssl.conf
%config(noreplace) %apachebase/conf/ssl/ssl.default-vhost.conf
%doc pkg.ssldoc/*
%doc ANNOUNCE
%doc CHANGES
%doc CREDITS
%doc LICENSE
%doc NEWS
%doc README
%doc README.GlobalID
#%doc README.Patents
%doc README.Support
%doc README.Versions
%doc README.Wishes

%_libdir/apache/libssl.so

%dir %_libdir/ssl
%dir %_libdir/ssl/mod_ssl
%_libdir/ssl/mod_ssl/*.sh

%files sxnet
%_libdir/apache/mod_sxnet.so
%doc index.html
%doc stamp.gif

%changelog
* Sat Nov 02 2002 Michael Shigorin <mike@altlinux.ru> 2.8.12-alt1
- 2.8.12 for Apache 1.3.27: security fixes

* Thu Aug 08 2002 Michael Shigorin <mike@altlinux.ru> 2.8.10-alt1
- 2.8.10 for Apache 1.3.26: security fixes
- had to configure --force to build for our current 1.3.23

* Wed Feb 27 2002 Alexander Bokovoy <ab@altlinux.ru> 2.8.7-alt1
- 2.8.7 for Apache 1.3.23

* Wed Oct 24 2001 Alexander Bokovoy <ab@altlinux.ru> 2.8.5-alt1
- 2.8.5 for Apache 1.3.22

* Fri May 25 2001 Alexander Bokovoy <ab@altlinux.ru> 2.8.4-alt1
- 2.8.4 for Apache 1.3.20

* Sat Mar 17 2001 Alexander Bokovoy <ab@avilink.net> 2.8.1-ipl3mdk
- Automagically guess Apache version and release

* Mon Mar 12 2001 Alexander Bokovoy <ab@avilink.net> 2.8.1-ipl2mdk
- Rebuild for RA 1.3.19rusPL30.4

* Mon Mar 05 2001 Alexander Bokovoy <ab@avilink.net> 2.8.1-ipl1mdk
- Version 2.8.1 for RA 1.3.19rusPL30.3
- Rebuild for new Apache release

* Thu Feb 08 2001 Alexander Bokovoy <ab@avilink.net> 2.8.0-ipl2mdk
- Updated for RA 1.3.17rusPL30.3
- Spec file cleaned
- Rebuild for new RA release

* Sat Feb  3 2001 Mikhail Zabaluev <zabaluev@parascript.com> 2.8.0-ipl1mdk
- Updated:
  + version 2.8.0 for Apache 1.3.17
  + common spec cleanup for Sisyphus
  + requirements as specified in the INSTALL file
- Fixed:
  + paths in configs (runtime files in /var/run)
  + macroized paths in spec

* Tue Oct 24 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.7.1-2mdk
- fixed packager tag

* Sat Oct 21 2000 Jean-Michel Dailt <jmdault@mandrakesoft.com> 2.7.1-1mdk
- bugfix release for apache bugfix and security release

* Thu Aug 24 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.6.6-1mdk
- new and shiny 2.6.6

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.6.5-3mdk
- Fixed ssl.default-vhost.conf for FHS

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.6.5-2mdk
- Macroize
- FHS compliance
- Now in cooker because there is no cooker-crypto and it depends heavily
  on the openssl version in cooker

* Fri Jul 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.6.5-1mdk
- 2.6.5
- use new AESctl for %post scripts

* Mon May 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.6.4-1mdk
- 2.6.4 (more bugfixes)

* Mon Apr 17 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.6.3-1mdk
- 2.6.3 (bug fixes)
- re-made documentation

* Sun Apr 02 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.6.2-2mdk
- fixed defattr

* Sun Apr 02 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.6.2-1mdk
- 2.6.2 
- fix group

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 2.6.1-1mdk
- update to 2.6.1

* Mon Feb 28 2000 Jean-Michel Dault <jmdault@netrevolution.com> 2.6.0-3mdk
- added Thawte logo in mod_sxnet documentation

* Sun Feb 27 2000 Jean-Michel Dault <jmdault@netrevolution.com> 2.6.0-2mdk
- fixed segfault in CustomLogs

* Sun Feb 27 2000 Jean-Michel Dault <jmdault@netrevolution.com> 2.6.0-1mdk
- updated to 2.6.0

* Sun Jan 23 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.5.0

* Wed Jan 19 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.4.10

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7.0

* Sat Dec 12 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.4.9

* Mon Sep 06 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- re-build for mm 1.0.11
- changed post script to stop, then start httpd, instead of restart,
  because it didn't restart cleanly

* Fri Sep 3 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- modified config file
- rebuilt for new mm-1.0.10 module in Apache

* Wed Sep 1 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.4.1

* Wed Aug 18 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.4.0

* Mon Aug 16 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- build for apache 1.3.9

* Sun Aug 15 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.3.11
- cleaned SPEC file, Solaris/UltraSparc adaptation

* Sat Jul 31 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.3.10
- changed postun script

* Thu Jul 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated again to 2.3.9

* Tue Jul 22 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.3.6
- modified config so Linuxconf could manage it (I hope...)

* Sat Jun 05 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- moved documentation in html
- rebuilt for the new optimized apache

* Sun May 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.3.1
- add fr locale
- added sxnet (Secure ExtraNet) package from Thawte

* Sun May 23 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- handle RPM_OPT_FLAGS
- add de locale
- don't require openssl-devel
